'Include-Datei zu RFM69 fr 4800 Baud  =  RFM12-kompatibel
'-------------------------------------------------------------------------------
'
'                          Register:                        Wert:
'Bitrate:    4800 Baud     0x03  .......................    0x1A
'                          0x04: .......................    0x0B
'Deviation:  45 kHz        0x05  .......................    0x02
'                          0x06: .......................    0xE1
'Bandwith:   100 kHz       0x019:   20 ; 2  = 010 00 001 =  0x4A
'
'
'
'So the final set of rules I think looks like this (if using AFC):

'1)  0.5 <= 2 * Fdev/BR <= 10    (modulation index, MI)
'2)  BR < 2*RxBw     (bit rate)
'3)  RxBw >= Fdev + BR/2   (receiver bandwidth)
'4)  RxBwAfc >=  Fdev + BR/2 + LOoffset (receiver AFC bandwidth)
'5)  Fdev + BR/2 < 500kHz  (maximum RxBw setting)


'Or this (if not using AFC):
'1)  0.5 <= 2 * Fdev/BR <= 10    (modulation index, MI)
'2)  BR < 2*RxBw     (bit rate)
'3)  RxBw >=  Fdev + BR/2 + LOoffset (receiver bandwidth)
'4) Fdev + BR / 2 < 500kHz(maximum RxBw setting)
'
'_______________________________________________________________________________

' Hier knnen die Register den eigenen Bedrfnissen angepasst werden. Vorgabewerte sind Reset-Grundwerte!

$nocompile

Data_RFM69_init:
Data &h04                                                   'Reg_h01: Modusumschaltung: Sleep=h00 Standby=h04 Transmit=h0C Receive=h10
Data &h01                                                   'Reg_h02: Paketmodus, Modulation und Gauss-Filter, GFSK: BT1,0=h01 BT0,5=h02 BT0,3=h03
Data Bitratemsb_4800                                        'Reg_h03: Baudrate MSB 32MHz / MSB+LSB = Baudrate
Data Bitratelsb_4800                                        'Reg_h04: 4800 Baud | Baudrate LSB
Data &h02                                                   'Reg_h05: Kanalbreite Tx MSB z.B. Zahl x 61Hz = Sendehub
Data &hE1                                                   'Reg_h06: Kanalbreite Tx LSB z.B. 02 E1 = 82 x 61Hz = 45kHz Hub
Data &hD9                                                   'Reg_h07: Frequenz MSB                                                                                        'Frequenz MSB |Zahl x 61Hz = Sendefrequenz              D9 5A 49 Abgleichwert fr 869,4125MHz
Data &h13                                                   'Reg_h08: Frequenz CSB | 868.311 MHz
Data &h74                                                   'Reg_h09: Frequenz LSB                                                                                          'Frequenz LSB |Massive Frequenzabweichungen (>500kHz) durchaus blich!
Data &h41                                                   'Reg_h0A: Kalibrierung RC-Oszillator (z.B. fr Auto-Wakeup-Anwendungen)
Data &h00                                                   'Reg_h0B: AFC-Routine    Darf nur h00 oder h20 enthalten! AFC-Umschaltung.
Data &h02                                                   'Reg_h0C: Ungenutzt / Reserve
Data &h92                                                   'Reg_h0D: Listen1
Data &hF5                                                   'Reg_h0E: Listen2
Data &h20                                                   'Reg_h0F: Listen3
Data &h24                                                   'Reg_h10: Hardwareversion des RFM69
Data &h9C                                                   'Reg_h11: Sendeleistung (10dBm)
Data &h09                                                   'Reg_h12: TxRamp Flankenentschrfung  (40us)
Data &h1A                                                   'Reg_h13: PA-Strombegrenzung (h1A = 95mA)
Data &h40                                                   'Reg_h14: Ungenutzt / Reserve
Data &hB0                                                   'Reg_h15: Ungenutzt / Reserve
Data &h7B                                                   'Reg_h16: Ungenutzt / Reserve
Data &h9B                                                   'Reg_h17: Ungenutzt / Reserve
Data &h08                                                   'Reg_h18: LNA-Konfiguration, muss auf h88 gendert werden (RFM69 hat Anpassung von 50R auf 200R!
Data &h4A                                                   'Reg_h19: 100kHz   '86                                              'RX-Bandbreite
Data &h8A                                                   'Reg_h1A: AFC-Bandbreite
Data &h40                                                   'Reg_h1B: OOK Peak
Data &h80                                                   'Reg_h1C: OOK AVG
Data &h06                                                   'Reg_h1D: OOK FIX
Data &h10                                                   'Reg_h1E: AFC Frequenzfehler
Data &h00                                                   'Reg_h1F: AFC MSB
Data &h00                                                   'Reg_h20: AFC LSB
Data &h00                                                   'Reg_h21: Frequenzfehler MSB
Data &h00                                                   'Reg_h22: Frequenzfehler LSB
Data &h02                                                   'Reg_h23: RSSI-Konfiguration
Data &hFF                                                   'Reg_h24: RSSI Mewert x 0,5 = -xxx,xdBm
Data &h00                                                   'Reg_h25: DIO Mapping 1
Data &h07                                                   'Reg_h26: DIO Mapping 2
Data &h80                                                   'Reg_h27: Interrup-Flags1 | Transceiver-Interrupts
Data &h00                                                   'Reg_h28: Interrup-Flags2 | FIFO-Interrupts
Data &hE4                                                   'Reg_h29: RSSI-Rauschsperre, Default -127,5dBm, empfohlen hE4 (-114dBm)
Data &h00                                                   'Reg_h2A: RX-Timeout1
Data &h00                                                   'Reg_h2B: RX-Timeout2
Data &h00                                                   'Reg_h2C: Preamble MSB | Anzahl der Dotting (hAA) Bytes welche
Data &h02                                                   'Reg_h2D: Preamble LSB | vor dem Syncword gesendet werden sollen.
Data &h88                                                   'Reg_h2E: 89                                              'Syncword Configuration
Data &h2D                                                   'Reg_h2F: 22                                              'Syncword Byte 1 | Hier muss das Syncwort eingetragen werden.
Data &hD4                                                   'Reg_h30: F7                                              'Syncwort Byte 2 | Mindestens 2 Bytes Lnge empfohlen
Data &h01                                                   'Reg_h31: 22                                              'Syncwort Byte 3 |
Data &h01                                                   'Reg_h32: F7                                              'Syncwort Byte 4 |
Data &h01                                                   'Reg_h33: Syncwort Byte 5 |
Data &h01                                                   'Reg_h34: Syncwort Byte 6 |
Data &h01                                                   'Reg_h35: Syncwort Byte 7 |
Data &h01                                                   'Reg_h36: Syncwort Byte 8 |
Data &h80                                                   'Reg_h37: 50                                              'Paket-Konfiguration: Paketlnge, DC-Free, CRC
Data &h18                                                   'Reg_h38: 19                                              'Paket-Konfiguration: Paketgre (Anzahl Bytes)
Data &h00                                                   'Reg_h39: Node-Adresse
Data &h00                                                   'Reg_h3A: Broadcast-Adresse
Data &h00                                                   'Reg_h3b: Auto-Modes
Data &h82                                                   '88                                                   'Reg_h3C: 0F                                              'FIFO-Threshold
Data &h22                                                   'Reg_h3d: Paket-Konfiguration:
Data &h00                                                   'Reg_h3E: AES-Key 01
Data &h00                                                   'Reg_h3F: AES-Key 02
Data &h00                                                   'Reg_h40: AES-Key 03
Data &h00                                                   'Reg_h41: AES-Key 04
Data &h00                                                   'Reg_h42: AES-Key 05
Data &h00                                                   'Reg_h43: AES-Key 06
Data &h00                                                   'Reg_h44: AES-Key 07
Data &h00                                                   'Reg_h45: AES-Key 08
Data &h00                                                   'Reg_h46: AES-Key 09
Data &h00                                                   'Reg_h47: AES-Key 10
Data &h00                                                   'Reg_h48: AES-Key 11
Data &h00                                                   'Reg_h49: AES-Key 12
Data &h00                                                   'Reg_h4A: AES-Key 13
Data &h00                                                   'Reg_h4B: AES-Key 14
Data &h00                                                   'Reg_h4C: AES-Key 15
Data &h00                                                   'Reg_hD0: ES-Key 16
Data &h01                                                   'Reg_h4E: Temperatursensor Status und Mebefehl
Data &h00                                                   'Reg_h4F: Temperatursensor Wert
'##########################################################
'# Register h50-h71 sollten nicht verndert werden!       #
'# Ausnahme: RFM69HW im High-Power-Mode                   #
'##########################################################
Data &h00                                                   'Reg_h50: Testregister LNA
Data &h01                                                   'Reg_h51: Testregister undokumentiert
Data &h88                                                   'Reg_h52: Testregister undokumentiert
Data &h08                                                   'Reg_h53: Testregister undokumentiert
Data &h00                                                   'Reg_h54: Testregister undokumentiert
Data &h00                                                   'Reg_h55: Testregister undokumentiert
Data &h01                                                   'Reg_h56: Testregister undokumentiert
Data &h00                                                   'Reg_h57: Testregister undokumentiert
Data &h1B                                                   'Reg_h58: Testregister Pa1
Data &h09                                                   'Reg_h59: Testregister undokumentiert
Data &h55                                                   'Reg_h5A: Testregister Pa2
Data &h80                                                   'Reg_h5B: Testregister undokumentiert
Data &h70                                                   'Reg_h5C: Testregister undokumentiert
Data &h33                                                   'Reg_h5D: Testregister undokumentiert
Data &hCA                                                   'Reg_h5E: Testregister undokumentiert
Data &h04                                                   'Reg_h5F: Testregister undokumentiert
Data &h00                                                   'Reg_h60: Testregister undokumentiert
Data &h11                                                   'Reg_h61: Testregister undokumentiert
Data &h00                                                   'Reg_h62: Testregister undokumentiert
Data &h00                                                   'Reg_h63: Testregister undokumentiert
Data &h00                                                   'Reg_h64: Testregister undokumentiert
Data &h0F                                                   'Reg_h65: Testregister undokumentiert
Data &h70                                                   'Reg_h66: Testregister undokumentiert
Data &h00                                                   'Reg_h67: Testregister undokumentiert
Data &h11                                                   'Reg_h68: Testregister undokumentiert
Data &h15                                                   'Reg_h69: Testregister undokumentiert
Data &h18                                                   'Reg_h6A: Testregister undokumentiert
Data &h1B                                                   'Reg_h6B: Testregister undokumentiert
Data &h00                                                   'Reg_h6C: Testregister undokumentiert
Data &h04                                                   'Reg_h6D: Testregister undokumentiert
Data &h0C                                                   'Reg_h6E: Testregister undokumentiert
Data &h00                                                   'Reg_h6F: Testregister DAGC
Data &h18                                                   'Reg_h70: Testregister undokumentiert
Data &h00                                                   'Reg_h71: Testregister AFC

'_______________________________________________________________________________

Init1:
Data &H01 , &H04
Data &H02 , &H00
Data &H03 , Bitratemsb_4800
Data &H04 , Bitratelsb_4800
Data &H05 , &H01                                            '                                                                                     '
Data &H06 , &H48                                            '
Data &H07 , &HD9                                            'Frequenz MSB
Data &H08 , &H13                                            '868'300 kHz
Data &H09 , &H33                                            'Frequenz LSB
Data &H19 , &H53                                            '
Data &H25 , &H40
Data &H26 , &H07
Data &H28 , &H10
Data &H29 , &HDC
Data &H2E , &H89
Data &H2F , &H2D
Data &H30 , &HD4                                            '
Data &H37 , &H80
Data &H38 , &H3C                                            '
Data &H3C , &H88
Data &H3D , &H02
Data &H6F , &H00

'_______________________________________________________________________________